Loading...
Searching...
No Matches
Curl< MapType, DiffScheme > Struct Template Reference

Compute the curl of a vector-valued grid using differencing of various orders in the space defined by the range of the map. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor >
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const MapType &map, const StencilT &stencil)

## Detailed Description

template<typename MapType, DScheme DiffScheme>
struct openvdb::v11_0::math::Curl< MapType, DiffScheme >

Compute the curl of a vector-valued grid using differencing of various orders in the space defined by the range of the map.

## Member Function Documentation

## result() [1/2]

template<typename MapType , DScheme DiffScheme>
template<typename Accessor >

static Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |

inlinestatic

## result() [2/2]

template<typename MapType , DScheme DiffScheme>
template<typename StencilT >

static StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT & | stencil
| ) |  |

inlinestatic